#!/bin/sh

set -e

if [ "$1" = configure ]; then
  # If we have setcap installed, set the capabilities on the nmap binary.
  if command -v setcap > /dev/null; then
    if setcap cap_net_raw,cap_net_admin,cap_net_bind_service+eip /usr/lib/nmap/nmap; then
      echo "Setcap worked! Adding configuration to environment"
      if [ ! -f /etc/profile.d/nmap.sh ]; then
        mkdir -p /etc/profile.d/
        echo 'export NMAP_PRIVILEGED=""' > /etc/profile.d/nmap.sh
        # Make sure this is around for any desktops that may not read from
        # /etc/profile
        mkdir -p /etc/X11/Xsession.d/
        echo 'export NMAP_PRIVILEGED=""' > /etc/X11/Xsession.d/90nmap
      fi
    else
      echo "Setcap failed, doing nothing." >&2
    fi
  fi
fi

#DEBHELPER#

exit 0
